Page MenuHomePhabricator

Usage of variables should be possible in lilypond code
Closed, DeclinedPublic

Description

Author: andreas.von.rueden

Description:
The usage of variables makes lilypond code much more convenient, esp. for experienced lilypond users. The -dsafe option forbids that.

There should be a solution to make it possible to use variables in lilypond code.


Version: unspecified
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:48 AM
bzimport set Reference to bz52883.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 15 2013, 3:21 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:12 PM
Ebe123 added a subscriber: Ebe123.Jul 8 2017, 5:25 PM

Instead of using the --dsafe option, using a chroot jail (--jail) option could be used. The Lilypond documentation presents this option:

The ‘--jail’ option provides a more flexible alternative to ‘-dsafe’, when LilyPond formatting is being provided via a web server, or whenever LilyPond executes commands sent by external sources (see Advanced command line options for LilyPond).

Ebe123 claimed this task.Aug 5 2017, 4:28 AM
Ebe123 moved this task from Backlog to In Progress on the MediaWiki-extensions-Score board.

Change 370306 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Run lilypond from inside firejail

https://gerrit.wikimedia.org/r/370306

Change 370306 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add option to use -dsafe argument in Lilypond command

https://gerrit.wikimedia.org/r/370306

Ebe123 closed this task as Invalid.Sep 13 2017, 11:29 PM

Scoping issue like T49604. Variables work on raw mode, just not in the \score block. Try using <score raw>. Anyways, variables were used in T161293's example.

Ebe123 changed the task status from Invalid to Declined.Sep 13 2017, 11:31 PM